---
lang: en
title: 'API docs: boot.applicationmetadatabooter'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.boot.applicationmetadatabooter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [ApplicationMetadataBooter](./boot.applicationmetadatabooter.md)

## ApplicationMetadataBooter class

Configure the application with metadata from `package.json`

<b>Signature:</b>

```typescript
export declare class ApplicationMetadataBooter implements Booter 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(app, projectRoot)](./boot.applicationmetadatabooter._constructor_.md) |  | Constructs a new instance of the <code>ApplicationMetadataBooter</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [app](./boot.applicationmetadatabooter.app.md) |  | <code>Application</code> |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [configure()](./boot.applicationmetadatabooter.configure.md) |  |  |


